import {getCars} from './getCars';

import {generateReport} from './generateReport';

import {select,csv,scaleLinear,max,scaleBand,axisLeft,axisBottom} from 'd3' //importujeme potrebne fcie z d3
const svg=select('svg');
const width=+svg.attr('width');
const height=+svg.attr('height');


const render = data=>{
  
  const xValue=d=>d.population
  const yValue=d=>d.country
  const margin={top:50,bottom:20,left:120,right:40};
  const innerWidth=width-margin.left-margin.right;
  const innerHeight=height-margin.top-margin.bottom;
  const xScale=scaleLinear() //instance of scale linear
    .domain([0,max(data,xValue)])
    .range([0,innerWidth]);
  
 
  const g =svg.append('g')//group element
    .attr('transform',`translate(${margin.left},${margin.top})`);
  
  
  
  const yScale=scaleBand()
  	.domain(data.map(yValue))
    .range([0,innerHeight])
     .padding(0.1);
   //const yAxis=axisLeft(yScale);
 // yAxis(g.append('g'));
  g.append('g').call(axisLeft(yScale));
  g.append('g').call(axisBottom(xScale))
    .attr('transform',`translate(0,${innerHeight})`);
  ;
  //console.log(xScale.domain());
  g.selectAll('rect').data(data)
    .enter().append('rect')
    .attr('y',d=>yScale(yValue(d)))
    .attr('width',d=>xScale(xValue(d)))
    .attr('height',yScale.bandwidth())
};


csv('data.csv').then(data =>{
   data.forEach(d =>{
                d.population=+d.population*1000 //zmena na cislo
   });
    render(data);
});





